Class | Bio::Blast::WU::Report
In: | lib/bio/appl/blast/wublast.rb
Parent: | Default::Report

Bio::Blast::WU::Report parses WU-BLAST default output and stores information in the data. It may contain a Bio::Blast::WU::Report::Iteration object. Because it inherits Bio::Blast::Default::Report, please also refer Bio::Blast::Default::Report.

### Methods

db exit_code exit_code_message expect fatal_errors notes notice parameter_matrix parameters query_record_number warnings

### Classes and Modules

Class Bio::Blast::WU::Report::HSP
Class Bio::Blast::WU::Report::Hit
Class Bio::Blast::WU::Report::Iteration

### Public Instance methods

db()

Returns the name (filename or title) of the database.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 122
    122:         def db
    123:           unless defined?(@db)
    124:             if /Database *\: *(.*)/m =~ @f0database then
    125:               a = $1.split(/^/)
    126:               if a.size > 1 and /\ASearching\..+ done\s*\z/ =~ a[-1] then
    127:                 a.pop
    128:               end
    129:               if a.size > 1 and /\A +[\d\,]+ +sequences\; +[\d\,]+ total +letters\.?\s*\z/ =~ a[-1] then
    130:                 a.pop
    131:               end
    132:               @db = a.collect { |x| x.sub(/\s+\z/, '') }.join(' ')
    133:             end
    134:           end #unless
    135:           @db
    136:         end

exit_code()

(WU-BLAST) Returns exit code for the execution. Returns an Integer or nil.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 79
    79:         def exit_code
    80:           if defined? @exit_code then
    81:             @exit_code
    82:           else
    83:             nil
    84:           end
    85:         end

exit_code_message()

(WU-BLAST) Returns the message bundled with the exit code output. The message will be shown when WU-BLAST ignores a fatal error due to the command line option "-nonnegok", "-novalidctxok", or "-shortqueryok".

Returns a String or nil.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 93
    93:         def exit_code_message
    94:           if defined? @exit_code_message then
    95:             @exit_code_message
    96:           else
    97:             nil
    98:           end
    99:         end

expect()

Returns e-value threshold specified when BLAST was executed.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 50
    50:         def expect; parse_parameters; @parameters['E']; end

fatal_errors()

(WU-BLAST) Returns fatal error information. Returns nil or an array containing String.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 113
    113:         def fatal_errors
    114:           if defined? @fatal_errors then
    115:             @fatal_errors
    116:           else
    117:             nil
    118:           end
    119:         end

notes()

(WU-BLAST) Returns "NOTE:" information. Returns nil or an array containing String.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 103
    103:         def notes
    104:           if defined? @notes then
    105:             @notes
    106:           else
    107:             nil
    108:           end
    109:         end

notice()

Returns notice messages.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 62
    62:         def notice
    63:           unless defined?(@notice)
    64:             @notice = @f0notice.to_s.gsub(/\s+/, ' ').strip
    65:           end #unless
    66:           @notice
    67:         end

parameter_matrix()

Returns parameter matrix (???)

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 44
    44:         def parameter_matrix
    45:           parse_parameters
    46:           @parameter_matrix
    47:         end

parameters()

Returns parameters (???)

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 38
    38:         def parameters
    39:           parse_parameters
    40:           @parameters
    41:         end

query_record_number()

(WU-BLAST) Returns record number of the query. It may only be available for reports with multiple queries. Returns an Integer or nil.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 72
    72:         def query_record_number
    73:           format0_parse_query
    74:           @query_record_number
    75:         end

warnings()

Returns warning messages.

[Source]

        # File lib/bio/appl/blast/wublast.rb, line 53
    53:         def warnings
    54:           unless defined?(@warnings)
    55:             @warnings = @f0warnings
    56:             iterations.each { |x| @warnings.concat(x.warnings) }
    57:           end
    58:           @warnings
    59:         end

[Validate]